type: gene_score
filename: RVIS.csv
scores:
  - id: RVIS score
    column_name: RVIS
    desc: "Intolerance of a gene to genetic variants"
    small_values_desc: "more intolerant"
    large_values_desc: "less intolerant"
    histogram:
      type: number
      number_of_bins: 150
      view_range:
        min: -10
        max: 30
      x_log_scale: false
      y_log_scale: true
  - id: RVIS rank
    desc: "Gene rank after sorting by RVIS intolerance score"
    small_values_desc: "more intolerant"
    large_values_desc: "less intolerant"
    histogram:
      type: number
      number_of_bins: 150
      view_range:
        min: 1
        max: 16640
      x_log_scale: false
      y_log_scale: false
meta:
  summary: |
    Residual Variation Intolerance Score

  description: |
    The Residual Variation Intolerance Score (RVIS) is a gene-level metric that quantifies 
    how tolerant a gene is to functional genetic variation in the general population. 
    RVIS measures the deviation between the observed and expected number of common functional 
    variants per gene, after accounting for overall mutational burden. 
    Genes with lower RVIS values are more variation-intolerant and often linked to 
    severe Mendelian disease, whereas higher values indicate greater tolerance and reduced 
    disease likelihood.

    [Petrovksi et al., Genic intolerance to functional variation and the interpretation of personal genomes,
    PLoS Genetics, 2013](https://doi.org/10.1371/journal.pgen.1003709)

    RVIS scores in this resource is reported in:

    [Iossifov et al., Low load for disruptive mutations in autism genes and their biased transmission, 
    PNAS, 2015](https://doi.org/10.1073/pnas.1516376112)
  
    Downloaded on: 10/23/25 
  
    [https://www.pnas.org/doi/suppl/10.1073/pnas.1516376112/suppl\_file/pnas.1516376112.sd03.xlsx](https://www.pnas.org/doi/suppl/10.1073/pnas.1516376112/suppl_file/pnas.1516376112.sd03.xlsx)

    Processing details: dataPrep.py takes columns 0, 2 and 3 of Supplementary Data 3, replaces scores of 1000 with empty string.